﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Styx;
using System.Diagnostics;

namespace SessionStats.GUI
{
    public partial class GUI : Form
    {
        private ulong startgold = 0;
        public Stopwatch botStopWatch = new Stopwatch();

        public GUI()
        {
            InitializeComponent();

            startgold = StyxWoW.Me.Gold;
            nsLabelGoldStart.Value2 = startgold.ToString();
        }

        public void UpdateGUI()
        {
            nsLabelGoldGained.Value2 = (StyxWoW.Me.Gold - startgold).ToString();
            nsLabelGoldPH.Value2 = ((StyxWoW.Me.Gold - startgold) / botStopWatch.Elapsed.TotalHours).ToString();
            nsLabelGoldNow.Value2 = StyxWoW.Me.Gold.ToString();

        }

        private void ButtonUpdate_Click(object sender, EventArgs e)
        {
            UpdateGUI();
        }

        private void nsButtonClose_Click(object sender, EventArgs e)
        {
            Close();
        }
    }
}
